> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Crypto Treasury Transaction History by Entity ID

> This endpoint allows you to **query public companies & governments' cryptocurrency transaction history** by Entity ID

<Tip>
  ### Tips

  * You may obtain the entity ID via several ways:
    * Refer to respective public treasury entity page and find 'API ID'.
    * Refer to [`/entities/list`](/v3.0.1/reference/entities-list) endpoint.
  * `coin_ids` param allows you to filter transaction history by specific coin IDs, comma-separated if more than 1 coin. You may obtain the coin IDs via several ways:
    * Refer to respective coin page and find 'API ID'.
    * Refer to [`/coins/list`](/v3.0.1/reference/coins-list) endpoint.
    * Refer to Google Sheets [here](https://docs.google.com/spreadsheets/d/1wTTuxXt8n9q7C4NDXqQpI3wpKu1_5bGVmP9Xz0XGSyU/edit?usp=sharing).
</Tip>

<Note>
  ### Note

  * Data available from August 2020 onwards.
  * Multi-page access (`page` > `1`) is exclusive to Analyst plan and above, check out [our API plans here](https://www.coingecko.com/en/api/pricing).
  * CoinGecko equivalent page: [https://www.coingecko.com/en/treasuries/companies/strategy](https://www.coingecko.com/en/treasuries/companies/strategy).
  * Cache / Update Frequency: every 5 minutes for all the API plans.
</Note>


## OpenAPI

````yaml api-reference/coingecko-demo.json get /public_treasury/{entity_id}/transaction_history
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /public_treasury/{entity_id}/transaction_history:
    get:
      tags:
        - Public Treasury
      summary: Crypto Treasury Transaction History by Entity ID
      description: >-
        This endpoint allows you **query public companies & governments'
        cryptocurrency transaction history** by Entity ID
      operationId: public-treasury-transaction-history
      parameters:
        - name: entity_id
          in: path
          description: |-
            public company or government entity ID 
             *refers to [`/entities/list`](/v3.0.1/reference/entities-list).
          required: true
          schema:
            type: string
            example: strategy
            default: strategy
        - name: per_page
          in: query
          description: |-
            total results per page, default: `100` 
             Valid values: 1...250
          required: false
          schema:
            type: number
            default: 100
        - name: page
          in: query
          description: 'page through results, default: `1`'
          required: false
          schema:
            type: number
            default: 1
        - name: order
          in: query
          description: 'use this to sort the order of transactions, default: `date_desc`'
          required: false
          schema:
            type: string
            enum:
              - date_desc
              - date_asc
              - holding_net_change_desc
              - holding_net_change_asc
              - transaction_value_usd_desc
              - transaction_value_usd_asc
              - average_cost_desc
              - average_cost_asc
            default: date_desc
        - name: coin_ids
          in: query
          description: >-
            filter transactions by coin IDs, comma-separated if querying more
            than 1 coin 
             *refers to [`/coins/list`](/v3.0.1/reference/coins-list).
          required: false
          schema:
            type: string
      responses:
        '200':
          description: >-
            Get public companies & governments crypto treasury transaction
            history
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicTreasuryTransactionHistory'
components:
  schemas:
    PublicTreasuryTransactionHistory:
      type: object
      properties:
        transactions:
          type: array
          items:
            type: object
            properties:
              date:
                type: number
                description: transaction date in UNIX timestamp
              source_url:
                type: string
                description: source document URL
              coin_id:
                type: string
                description: coin ID
              type:
                type: string
                enum:
                  - buy
                  - sell
                description: 'transaction type: buy or sell'
              holding_net_change:
                type: number
                description: net change in holdings after the transaction
              transaction_value_usd:
                type: number
                description: transaction value in usd
              holding_balance:
                type: number
                description: total holding balance after the transaction
              average_entry_value_usd:
                type: number
                description: average entry value in usd after the transaction
      example:
        transactions:
          - date: 1763337600000
            source_url: >-
              https://assets.contentstack.io/v3/assets/bltf8d808d9b8cebd37/blt27517abcb8f459e3/691aaadfcd08266e2ec6fbe9/form-8-k_11-17-2025.pdf
            coin_id: bitcoin
            type: buy
            holding_net_change: 8178
            transaction_value_usd: 835554438
            holding_balance: 649870
            average_entry_value_usd: 102171
          - date: 1762732800000
            source_url: >-
              https://assets.contentstack.io/v3/assets/bltf8d808d9b8cebd37/bltdba4fc803e019d1e/69114d2ecc0c83c2fa618ffc/form-8-k_11-10-2025.pdf
            coin_id: bitcoin
            type: buy
            holding_net_change: 487
            transaction_value_usd: 49945259
            holding_balance: 641692
            average_entry_value_usd: 102557
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_demo_api_key

````